<div class="app-products-div">
  <mat-spinner *ngIf="productsDto.length === 0"></mat-spinner>

  <mat-card *ngFor="let product of productsDto" class="e-product-card">
    <mat-card-header>
      <mat-card-title>{{product.name}}</mat-card-title>
      <mat-card-subtitle>Precio: $500 / Cantidad: {{product.inInventory}}</mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <p>
        {{product.description}}
      </p>
      <img src="../../assets/img_producto.png" class="e-product-img" />
    </mat-card-content>
    <mat-card-actions>
      <button mat-flat-button [disabled]="this.product.inInventory == 0" color="green" (click)="openDialog(this.product)">Agregar al carrito</button>
    </mat-card-actions>
  </mat-card>
</div>
